// Based on http://stackoverflow.com/questions/25730008/encoding-utf-8-when-exporting-html-table-to-excel by Alex Richter under CC-BY-SA 3.0

var tableToExcel = (function() {
	  var uri = 'data:application/vnd.ms-excel;base64,'
		      , template = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"><head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet><x:Name>{worksheet}</x:Name><x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet></x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--></head><body><table>{table}</table></body></html>'
		          , base64 = function(s) { return window.btoa(unescape(encodeURIComponent(s))) }
	      , format = function(s, c) { return s.replace(/{(\w+)}/g, function(m, p) { return c[p]; }) }
	        return function(table, name) {
			    if (!table.nodeType) table = document.getElementById(table)
				        var ctx = {worksheet: name || 'Worksheet', table: table.innerHTML}
			    var link = document.createElement('a');
			    link.download = name;
			    link.href = uri + base64(format(template, ctx));
			    document.body.appendChild(link);
			    link.click();
			    document.body.removeChild(link);
					  }
})()
